%define ffversion	20120731
%define docversion	20120731

%define major 1
%define gdraw_major 4
%define gunicode_major 3
%define libname %mklibname %{name} %{major}
%define libgdraw %mklibname gdraw %{gdraw_major}
%define libgioftp %mklibname gioftp %{major}
%define libgunicode %mklibname gunicode %{gunicode_major}
%define libgutils %mklibname gutils %{major}
%define devname %mklibname %{name} -d

Summary:	Font Editor for PostScript, TrueType, OpenType and various fonts
Name:		fontforge
Version:	1.0
Release:	0.%{ffversion}.2
License:	BSD-like
Group:		Publishing
Url:		http://fontforge.sourceforge.net/
Source0:	http://fontforge.sourceforge.net/fontforge_full-%{ffversion}-b.tar.bz2
Source2:	http://fontforge.sourceforge.net/fontforge_htdocs-%{docversion}-b.tar.bz2
Source3:	http://fontforge.sourceforge.net/cidmaps.tar.bz2
Source4:	http://fontforge.sourceforge.net/fontforge-tutorial.pdf
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
Patch0:		fontforge-20110222-link.patch
Patch1:		fontforge-20090224-pythondl.patch
Patch2:		fontforge-20110222-libz.so-linkage.patch
Patch3:		fontforge-20120731-b-giflib51.patch

BuildRequires:	chrpath
BuildRequires:	desktop-file-utils
BuildRequires:	jpeg-devel
BuildRequires:	libuninameslist-devel
BuildRequires:	ungif-devel
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(python)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(xft)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(pango)
BuildRequires:	pkgconfig(pangocairo)
BuildRequires:	pkgconfig(pangoxft)

# (Abel) it wants either autotrace or potrace
Requires:	potrace
Provides:	/usr/bin/fontforge

%description
FontForge is an outline font editor that lets you create your own 
postscript, truetype, opentype, cid-keyed, multi-master, cff, svg and 
bitmap (bdf) fonts, or edit existing ones. Also lets you convert one
format to another. FontForge has support for many macintosh font formats.

%files -f FontForge.lang
%doc LICENSE README-unix README-Unix.html fontforge-tutorial.pdf
%{_bindir}/*
%{_mandir}/man1/*
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/fontforge.xml
%{_datadir}/%{name}

#----------------------------------------------------------------------------

%package -n %{libname}
Group:		System/Libraries
Summary:	Library for %{name}
Conflicts:	%{name} < 1.0-0.20110222.4

%description -n %{libname}
This package contains the shared library libfontforge.

%files -n %{libname}
%{_libdir}/libfontforge.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libgdraw}
Group:		System/Libraries
Summary:	Library for %{name}
Conflicts:	%{name} < 1.0-0.20110222.4

%description -n %{libgdraw}
This package contains the shared library libgdraw.

%files -n %{libgdraw}
%{_libdir}/libgdraw.so.%{gdraw_major}*

#----------------------------------------------------------------------------

%package -n %{libgioftp}
Group:		System/Libraries
Summary:	Library for %{name}
Conflicts:	%{name} < 1.0-0.20110222.4

%description -n %{libgioftp}
This package contains the shared library libgioftp.

%files -n %{libgioftp}
%{_libdir}/libgioftp.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libgunicode}
Group:		System/Libraries
Summary:	Library for %{name}
Conflicts:	%{name} < 1.0-0.20110222.4

%description -n %{libgunicode}
This package contains the shared library libgunicode.

%files -n %{libgunicode}
%{_libdir}/libgunicode.so.%{gunicode_major}*

#----------------------------------------------------------------------------

%package -n %{libgutils}
Group:		System/Libraries
Summary:	Library for %{name}
Conflicts:	%{name} < 1.0-0.20110222.4

%description -n %{libgutils}
This package contains the shared library libgutils.

%files -n %{libgutils}
%{_libdir}/libgutils.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Group:		Development/C
Summary:	Development files for %{name}
Requires:	%{libname} = %{EVRD}
Requires:	%{libgdraw} = %{EVRD}
Requires:	%{libgioftp} = %{EVRD}
Requires:	%{libgunicode} = %{EVRD}
Requires:	%{libgutils} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
This package contains the development files for %{name}.

%files -n %{devname}
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/%{name}

#----------------------------------------------------------------------------

%package python
Group:		Development/Python
Summary:	Library bindings for python
Conflicts:	%{name} < 1.0-0.20110222.4

%description python
This package contains the python library for python applications that
use %{name}.

%files python
%{python_sitearch}/fontforge*.egg-info
%{python_sitearch}/fontforge.so
%{python_sitearch}/psMat.so

#----------------------------------------------------------------------------

%prep
%setup -qn fontforge-%{ffversion}-b
%patch0 -p0
%patch1 -p1
%patch2 -p1
%patch3 -p1

mkdir -p htdocs cidmap
tar xjf %{SOURCE2} -C htdocs
tar xjf %{SOURCE3} -C cidmap

cp %{SOURCE4} .

%build
%configure2_5x \
	--disable-static \
	--with-freetype-bytecode=no \
	--with-regular-link \
	--enable-pyextension \
	--enable-longdouble \
	--enable-type3 \
	--enable-libff
%make

%install
%makeinstall_std

desktop-file-install \
	--dir %{buildroot}%{_datadir}/applications \
	Packaging/fontforge.desktop

# icons
install -m644 %{SOURCE11} -D %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

mkdir -p %{buildroot}/%{_datadir}/mime/packages

install -p Packaging/fontforge.xml %{buildroot}/%{_datadir}/mime/packages/

chrpath -d %{buildroot}%{_bindir}/%{name} %{buildroot}%{_libdir}/*.so.*

%find_lang FontForge


%changelog
* Tue Jun 03 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0-0.20120731.2
+ Revision: 83ec2ab
- Fix BuildRequires


